com.sun.j3d.utils.scenegraph.io

## Class NamedObjectException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.j3d.utils.scenegraph.io.NamedObjectException

All Implemented Interfaces:
  java.io.Serializable

    public class NamedObjectException
    extends java.lang.Exception

An error has occurred while processing a named object

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NamedObjectException()` Creates new `NoSuchNameException` without detail message.
`NamedObjectException(java.lang.String msg)` Constructs an `NoSuchNameException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NamedObjectException

    public NamedObjectException()

Creates new `NoSuchNameException` without detail message.

#### NamedObjectException

    public NamedObjectException(java.lang.String msg)

Constructs an `NoSuchNameException` with the specified detail message.

Parameters:
  `msg` - the detail message.